Viewing Issue Advanced Details Jump to Notes ] [ View Source: dynax.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04542 Crash/Freeze Critical (emulator) Always 2011-11-30 20:06 2011-12-02 16:38
Tester haynor666 View Status Public Platform MAME (Official Binary)
Assigned To etabeta Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver dynax.c
Version 0.144u1 Fixed in Version 0.144u2 Build 64-bit
Summary 04542: quiztvqq: mame crash after map screen
Description just after map screen mame hangs with:

memory_bank:: set_entry called with out-of-range entry 40
Steps To Reproduce just run game, reach map screen, after this some guy will show
Additional Information
Flags
Regression Version 0.137u1
Affected Sets / Systems quiztvqq
Attached Files
 


-  Notes
User avatar (07919)
SgtSarros (Tester)
2011-11-30 20:54
edited on: 2011-11-30 23:57

Little additional detail:

When the man who is the 'host' shows in the demo there is no error, only during the actual game when he goes to speak. You hear the first couple words and then crash but not the whole phrase.

Issue could be error with voice / sound coding, or could be the graphics as he's supposed to vanish at that part and the game show stand appear. However, last WIP update on MAWS shows gfx update in 0.111u1, but works fine in 0.112.

Last release it worked in was .137, breaks after that.

User avatar (07920)
Fujix (Administrator)
2011-12-01 09:39

backtrace:
(gdb) bt
#0  0x000007fefe033173 in KERNELBASE!DebugBreak ()
   from C:\Windows\system32\KernelBase.dll
#1  0x0000000002ffb17a in osd_break_into_debugger (
    message=0x2d9bdf18 "memory_bank::set_entry called with out-of-range entry 40
") at src/osd/windows/winmisc.c:187
#2  0x00000000034457c8 in emu_fatalerror::emu_fatalerror (this=0x2d9bdf10,
    format=0x54c3c58 "memory_bank::set_entry called with out-of-range entry %d")
 at src/emu/emucore.h:296
#3  0x0000000002a3d15f in memory_bank::set_entry (this=0x2d0dbf00,
    entrynum=40) at src/emu/memory.c:4682
#4  0x0000000002a24ffd in memory_set_bank (machine=...,
    tag=0x4c994ee "bank1", entrynum=40) at src/emu/memory.c:1854
#5  0x00000000008fcb3d in yarunara_rombank_w (space=0x2cf25c80, offset=0,
    data=40 '(') at src/mame/drivers/dynax.c:770
#6  0x0000000002a4245a in handler_entry_write::write_stub_legacy (
    this=0x2d090bd0, space=..., offset=0, data=40 '(', mask=255 '\377')
    at src/emu/memory.c:5871
#7  0x000000000391fbd1 in delegate_base<void, address_space&, unsigned int, unsi
gned char, unsigned char, _noparam>::operator() (this=0x2d090c88, p1=...,
    p2=0, p3=40 '(', p4=255 '\377') at src/emu/delegate.h:602
#8  0x00000000039323de in handler_entry_write::write8 (this=0x2d090bd0,
    space=..., offset=0, data=40 '(', mask=255 '\377') at src/emu/memory.c:699
#9  0x000000000384ec12 in address_space_specific<unsigned char, (endianness_t)0,
 false>::write_native (this=0x2cf25c80, offset=0, data=40 '(')
    at src/emu/memory.c:1346
#10 0x000000000384da6a in address_space_specific<unsigned char, (endianness_t)0,
 false>::write_byte (this=0x2cf25c80, address=10314, data=40 '(')
    at src/emu/memory.c:1618
#11 0x000000000231fe62 in op_d3 (z80=0x2591fcf0) at src/emu/cpu/z80/z80.c:3174
#12 0x0000000002323e32 in cpu_execute_z80 (device=0x258c9e00)
    at src/emu/cpu/z80/z80.c:3636
#13 0x0000000002dac927 in legacy_cpu_device::execute_run (this=0x258c9e00)
    at src/emu/devcpu.c:262
#14 0x0000000002a17f22 in device_execute_interface::run_thread_wrapper (
    this=0x258c9fb0) at src/emu/diexec.c:388
#15 0x000000000391f7f1 in delegate_base<void, _noparam, _noparam, _noparam, _nop
aram, _noparam>::operator() (this=0x258c9fd8) at src/emu/delegate.h:598
#16 0x0000000002dd7bdf in cothread::cothread_entry () at src/emu/cothread.c:94
#17 0x0000000002feddbc in co_init () at src/lib/cothread/amd64.c:43
#18 0x0000000000000000 in ?? ()
(gdb)